package cn.im.trafficplan.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("trafficplanalarmdeviceDao")
public class TrafficplanalarmdeviceDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	
	
	/**
	 * 增加记录
	 */
	public void insert_Trafficplanalarmdevice(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Trafficplanalarmdevice",map);
	}

	/**
	 * 修改记录
	 */
	public Integer update_Trafficplanalarmdevice(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Trafficplanalarmdevice",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Trafficplanalarmdevice(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Trafficplanalarmdevice",map);
	}
	
	/**
	 *根据planID删除记录
	 */
	public Integer delete_TrafficplanalarmdeviceByPlanID(String str) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_TrafficplanalarmdeviceByPlanID",str);
	}
	
	
	/**
	 * 查询总数
	 */
	public Integer count_Trafficplanalarmdevice(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Trafficplanalarmdevice",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Trafficplanalarmdevice(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficplanalarmdevice",map);
	}
	
}
